#ifndef _KGR_PATCH_BSC1156334_H
#define _KGR_PATCH_BSC1156334_H

#if IS_ENABLED(CONFIG_BT_HCIUART)

int kgr_patch_bsc1156334_init(void);
void kgr_patch_bsc1156334_cleanup(void);


struct tty_struct;
struct file;

int kgrp_hci_uart_tty_ioctl(struct tty_struct *tty, struct file * file,
					unsigned int cmd, unsigned long arg);

#define KGR_PATCH_BSC1156334_FUNCS				\
	KGR_PATCH_OBJ(hci_uart_tty_ioctl,			\
		      kgrp_hci_uart_tty_ioctl, "hci_uart"),	\

#else /* !IS_ENABLED(CONFIG_BT_HCIUART) */

static inline int kgr_patch_bsc1156334_init(void) { return 0; }

static inline void kgr_patch_bsc1156334_cleanup(void) {}

#define KGR_PATCH_BSC1156334_FUNCS

#endif /* IS_ENABLED(CONFIG_BT_HCIUART) */
#endif /* _KGR_PATCH_BSC1156334_H */
